routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify' => true]);
Route::post('/test','RendezVousController@search')->name('rendezvous_search');
Route::get('/test','RendezVousController@search');
Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
Route::get('/profile', 'ProfileController@index')->name('profile');
Route::post('/editprofile', 'ProfileController@edit')->name('editprofile');
Route::get('/patients/{id}/rencontres','RencontreController@list')->name('patients.rencontres');
Route::post('/patients/search','PatientController@search')->name('patient_search');
Route::post('upload_image', 'ProfileController@store_image')->name('upload_image');
Route::post('change_name','ProfileController@change_name')->name('change_name');
Route::post('change_lastname','ProfileController@change_lastname')->name('change_lastname');
Route::post('change_password','ProfileController@change_password')->name('change_password');
Route::resource('patients', 'PatientController');
Route::resource('rencontres', 'RencontreController');
Route::resource('rendezvous', 'RendezVousController');
Route::get('patient/{id}/images','PatientController@show_images')->name('show_images');
Route::get('patient/{id}/documents','PatientController@show_documents')->name('show_documents');
Route::post('/images/store','ImageController@store_image')->name('store_image');
Route::get('images/create','ImageController@create')->name('images.create');
Route::post('/documents/s/store','DocumentController@store')->name('store_doc');
Route::get('documents/create','DocumentController@create')->name('documents.create');

app/Patient.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Patient extends Model
{
    protected $fillable = [
        'name',
        'lastname',
        'birth',
        'phone',
        'cin',
        'cnam',
        'profession'
    ];
    public function rendezvouses()
    {
        return $this->hasMany('App\RendezVous');
    }
}

app/Http/Controllers/PatientController.php
<?php

namespace App\Http\Controllers;

use App\Document;
use App\Http\Requests\PatientForm;
use App\Image;
use App\Patient;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class PatientController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth','verified']);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data= DB::table('patients')->orderBy('name', 'asc')->paginate(5);
        return view('patients.index',['data'=> $data]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('patients.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(PatientForm $request)
    {
        //

        $request->validate([
            'name' => 'required|min:3',
            'lastname' => 'required|min:3',
            'cin' => 'required|numeric',
            'birth' => 'required|date',
            'phone' => 'required',
            'profession' => 'required|max:60|min:5',
            'cnam' => 'required|max:14|min:8',
        ]);

        $patient = new Patient();
        $patient->name = $request->get('name');
        $patient->lastname = $request->get('lastname');
        $patient->cin = $request->get('cin');
        $patient->birth =$request->get('birth');
        $patient->phone = $request->get('phone');
        $patient->profession = $request->get('profession');
        $patient->cnam = $request->get('cnam');
        $patient->save();
        return redirect('/patients')->with('success', 'Patient saved!');

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Patient  $patient
     * @return \Illuminate\Http\Response
     */
    public function show(Patient $patient)
    {
        //
        return view('patients.show',['patient'=>$patient]);
    }
     /**
     * Search the specified resource.
     *
     * @param  \App\Patient  $patient
     * @return \Illuminate\Http\Response
     */
    public function search(Request $request)
    {
        //
        $search=$request->get('search');
        $patients = DB::table('patients')
                                        ->where('name','like','%'.$search.'%')
                                        ->orWhere('cin','like','%'.$search.'%')
                                        ->orWhere('lastname','like','%'.$search.'%')
                                        ->orWhere('cnam','like','%'.$search.'%')
                                        ->orderBy('name', 'asc')
                                        ->get();
        return json_encode($patients);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Patient  $patient
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $patient=Patient::find($id);
        return view('patients.create',compact('patient'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Patient  $patient
     * @return \Illuminate\Http\Response
     */
    public function update(PatientForm $request, Patient $patient)
    {
        //
        $request->validate([
            'name' => 'required',
            'lastname' => 'required',
            'cin' => 'required|numeric',
            'birth' => 'required|date',
            'phone' => 'required',
            'profession' => 'required|max:60|min:5',
            'cnam' => 'required|max:14|min:8',
        ]);
            $patient->name = $request->get('name');
            $patient->lastname = $request->get('lastname');
            $patient->cin = $request->get('cin');
            $patient->birth =$request->get('birth');
            $patient->phone = $request->get('phone');
            $patient->profession = $request->get('profession');
            $patient->cnam = $request->get('cnam');
        $patient->save();
       return redirect('/patients/'.$patient->id)->with('success', 'Patient updated!');

    }
    public function show_images($id){
        $patient=Patient::find($id);
        $images=Image::where('patient_id','=',$id)->get();
        return view('patients.show_image',['images'=>$images,'patient'=>$patient]);
    }
    public function show_documents($id){
        $patient=Patient::find($id);
        $documents=Document::where('patient_id','=',$id)->get();
        return view('patients.show_documents',['documents'=>$documents,'patient'=>$patient]);
    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Patient  $patient
     * @return \Illuminate\Http\Response
     */
    public function destroy(Patient $patient)
    {
        //
    }
}

resources/views/patients/create.blade.php
@extends('layouts.app')

@section('title', 'Patients')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('New patient') }}</div>

                    <div class="card-body">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                            @endif
                            @if (!empty($patient))
                                <form class="flex flex-col w-full" method="POST"
                                    action="{{ route('patients.update', $patient) }}">
                                    @method('put')
                                @else
                                    <form class="flex flex-col w-full" method="POST" action="{{ route('patients.store') }}">
                            @endif
                            @csrf
                            <div class="flex w-full">
                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="name"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.name') }}</label>
                                    <div class="col-md-6">
                                        <input id="name" type="text" required name="name"
                                            value="{{ old('name', $patient->name ?? '') }}"
                                            class=" form-control @error('name') border-red-500 @enderror">
                                        @error('name')
                                        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="lastname"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.lastname') }}</label>
                                    <div class="col-md-6">
                                        <input id="lastname" type="text" required name="lastname"
                                            value="{{ old('lastname', $patient->lastname ?? '') }}" class="form-control
                                @error('lastname') border-red-500 @enderror">

                                        @error('lastname')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="birth"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.birth') }}</label>
                                    <div class="col-md-6">
                                        <input id="birth" type="date" required name="birth"
                                            value="{{ old('birth', $patient->birth ?? '') }}" class="form-control
                                @error('birth') border-red-500 @enderror">

                                        @error('birth')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="phone"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.phone') }}</label>
                                    <div class="col-md-6">
                                        <input id="phone" type="text" required name="phone"
                                            value="{{ old('phone', $patient->phone ?? '') }}" class="form-control
                                @error('phone') border-red-500 @enderror">

                                        @error('phone')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="cin"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.cin') }}</label>
                                    <div class="col-md-6">
                                        <input id="cin" type="text" required name="cin"
                                            value="{{ old('cin', $patient->cin ?? '') }}" class="form-control
                                @error('cin') border-red-500 @enderror">

                                        @error('cin')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="profession"
                                        class="col-md-4 col-form-label text-md-right">{{ __('Profession') }}</label>
                                    <div class="col-md-6">
                                        <input id="profession" type="text" required name="profession"
                                            value="{{ old('profession', $patient->profession ?? '') }}" class="form-control
                                @error('profession') border-red-500 @enderror">

                                        @error('profession')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                                {{-- form input element --}}
                                <div class="form-group row">
                                    <label for="cnam"
                                        class="col-md-4 col-form-label text-md-right">{{ __('login.cnam') }}</label>
                                    <div class="col-md-6">
                                        <input id="cnam" type="text" required name="cnam"
                                            value="{{ old('cnam', $patient->cnam ?? '') }}" class="form-control
                                @error('cnam') border-red-500 @enderror">

                                        @error('cnam')
                                        <span class="invalid-feedback" role="alert">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>

                            </div>
                            <button class="btn btn-primary" type="submit">Save </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/patients/index.blade.php
@extends('layouts.app')

@section('title','Patients')
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">{{ __('login.patientlist') }}</div>
                <div class="card-body">
                    <div class="input-group mb-3">
                    <input type="text" id="search" class="form-control" placeholder="{{__('login.search')}}" aria-label="search" aria-describedby="basic-addon1">
                    </div>
                    <a  type="button" class="btn btn-primary" href="{{ route('patients.create') }}">{{__('New patient')}}</a><br><br>
<table class="table" id="patientTable">
    <thead class="thead-dark">
      <tr>
        <th scope="col">#</th>
      <th scope="col">{{__('login.name')}}</th>
        <th scope="col">{{__('login.lastname')}}</th>
        <th scope="col">{{__('login.cnam')}}</th>
        <th scope="col">{{__('CIN')}}</th>
        <th scope="col">{{__('Edit')}}</th>
      <th scope="col">{{__('login.rencontre')}}s</th>
      </tr>
    </thead>
    <tbody id="tbody_patients">
        @foreach($data as $item)
      <tr>
        <th scope="row">{{$item->id}}</th>
      <td><a href="{{ url('/patients/'.$item->id) }}">{{$item->name}}</a></td>
        <td>{{$item->lastname}}</td>
        <td>{{$item->cnam}}</td>
        <td>{{$item->cin}}</td>
      <td><a href="{{ url('/patients/'.$item->id.'/edit') }}"><i class="fas fa-edit fa-xs"></i></a> </td>
      <td><a href="{{ route('patients.rencontres',["id"=>$item->id]) }}">{{__('login.listeRe')}}</a>
        <a href="{{ route('rencontres.create',["id"=>$item->id]) }}">{{__('login.nouvelleRE')}}</a></td>
      </tr>
      @endforeach
    </tbody>
</table>
{{$data->links()}}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/patients/show.blade.php
@extends('layouts.app')

@section('title', $patient->name)
@section('content')
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">

                    <!-- Profile Image -->
                    <div class="card card-success card-outline">
                        <div class="card-body box-profile">
                            <div class="text-center">
                                <img class="profile-user-img img-fluid img-circle"
                                    src="{{ asset('/images/img/default_avatar.png') }}" alt="User profile picture">
                            </div>
                            <h3 class="profile-username text-center">{{ $patient->name }} {{ $patient->lastname }}</h3>

                            <p class="text-muted text-center">{{ $patient->profession }}</p>
                            <ul class="list-group list-group-unbordered mb-3">
                                <li class="list-group-item">
                                    <b>{{ __('login.name') }}</b> : <a class="float-right">{{ $patient->name }}</a>
                                </li>
                                <li class="list-group-item">
                                    <b>{{ __('login.lastname') }}</b> : <a class="float-right">{{ $patient->lastname }}</a>
                                </li>
                                <li class="list-group-item">
                                    <b>{{ __('login.birth') }}</b> : <a class="float-right">{{ $patient->birth }}</a>
                                </li>
                                <li class="list-group-item">
                                    <b>{{ __('CIN') }}</b> : <a class="float-right">{{ $patient->cin }}</a>
                                </li>
                                <li class="list-group-item">
                                    <b>{{ __('login.cnam') }}</b> : <a class="float-right">{{ $patient->cnam }}</a>
                                </li>
                                <li class="list-group-item">
                                    <b>{{ __('login.phone') }}</b> : <a class="float-right">{{ $patient->phone }}</a>
                                </li>
                            </ul>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->

                    <!-- About Me Box -->
                    <div class="card card-success">
                        <div class="card-header">
                            <h3 class="card-title">{{__('Operations ')}}</h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <a class="btn btn-primary" href="{{ url('/patients/' . $patient->id . '/edit') }}">{{ __('Edit') }} </a>
                            <a class="btn btn-primary" href="{{ route('patients.rencontres', ['id' => $patient->id]) }}">{{ __('login.listeRe') }}</a>
                            <a class="btn btn-primary" href="{{ route('rencontres.create', ['id' => $patient->id]) }}">{{ __('login.nouvelleRE') }}</a>
                            <a class="btn btn-primary" href="{{ route('show_documents', ['id' => $patient->id]) }}">{{ __('Documents') }}</a>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>
@endsection

resources/views/patients/show_documents.blade.php
@extends('layouts.app')
@section('title', __('Documents') . '-' . $patient->name)
@section('script')
    @parent
    <script>
        $(function() {
            $("#example1").DataTable({
                "responsive": true,
                "autoWidth": false,
            });
        });
        $(function () {
      $(document).on('click', '[data-toggle="lightbox"]', function(event) {
        event.preventDefault();
        $(this).ekkoLightbox({
          alwaysShowClose: true
        });
      });
  
      $('.filter-container').filterizr({gutterPixels: 3});
      $('.btn[data-filter]').on('click', function() {
        $('.btn[data-filter]').removeClass('active');
        $(this).addClass('active');
      });
    })
    </script>
@endsection
@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card card-primary">
                    <div class="card-header">
                        <a href="{{ route('patients.show', $patient->id) }}">
                            <h4 class="card-title">{{ $patient->name }} {{ $patient->lastname }} - Documents</h4>
                        </a>
                    </div>
                    <div class="card-body">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title"></h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body ">
                                <table id="example1" class="table table-bordered table-striped">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>{{ _('Label') }}</th>
                                            <th>{{ _('Description') }}</th>
                                            <th>{{ _('Type') }}</th>
                                            <th>{{ _('Created at') }}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($documents as $item)
                                        <tr>
                                            <td>{{$item->id}}</td>
                                            @if(substr($item->path,-3)=='pdf')
                                            <td><a target="_blank" href="{{ asset('/storage/doc/'.$item->path) }}">{{$item->libelle}}</a></td>
                                            @else
                                            <td>
                                                <a href="{{ asset('/storage/doc/'.$item->path) }}" data-toggle="lightbox" data-title="sample 10 - white" data-gallery="gallery">
                                                    {{$item->libelle}}
                                                </a>
                                              </td>
                                            @endif
                                            <td>{{$item->description}}</td>
                                            <td>{{$item->type}}</td>
                                            <td>{{$item->created_at}}</td>
                                        </tr>  
                                        @endforeach
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th>ID</th>
                                            <th>{{ _('Label') }}</th>
                                            <th>{{ _('Description') }}</th>
                                            <th>{{ _('Type') }}</th>
                                            <th>{{ _('Created at') }}</th>
                                        </tr>
                                    </tfoot>
                                    </tbody>
                                    <tfoot>

                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        @endsection

resources/views/patients/show_image.blade.php
@extends('layouts.app')
@section('title', __('Images').'-'.$patient->name )
@section('script')
@parent
<script>
    $(function () {
      $(document).on('click', '[data-toggle="lightbox"]', function(event) {
        event.preventDefault();
        $(this).ekkoLightbox({
          alwaysShowClose: true
        });
      });
  
      $('.filter-container').filterizr({gutterPixels: 3});
      $('.btn[data-filter]').on('click', function() {
        $('.btn[data-filter]').removeClass('active');
        $(this).addClass('active');
      });
    })
  </script>
@endsection
@section('content')
<div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card card-primary">
          <div class="card-header">
          <a href="{{route('patients.show',$patient->id)}}">
          <h4 class="card-title">{{$patient->name }} {{$patient->lastname}} - Images</h4>
            </a>
          </div>
          <div class="card-body">
            <div>
            <div class="btn-group w-100 mb-2">
              <a class="btn btn-info active" href="javascript:void(0)" data-filter="all"> {{__('All images')}} </a>
              <a class="btn btn-info" href="javascript:void(0)" data-filter="1"> {{__('Category')}} 1 </a>
              <a class="btn btn-info" href="javascript:void(0)" data-filter="2"> {{__('Category')}} 2  </a>
              <a class="btn btn-info" href="javascript:void(0)" data-filter="3"> {{__('Category')}} 3  </a>
              <a class="btn btn-info" href="javascript:void(0)" data-filter="4"> {{__('Category')}} 4 </a>
            </div>
            <div class="mb-2">
              <a class="btn btn-secondary" href="javascript:void(0)" data-shuffle> {{__('Shuffle images')}} </a>
              <div class="float-right">
                <select class="custom-select" style="width: auto;" data-sortOrder>
                  <option value="index"> {{__('Sort by Position')}}</option>
                  <option value="sortData"> {{__('Sort by date')}} </option>
                </select>
                <div class="btn-group">
                  <a class="btn btn-default" href="javascript:void(0)" data-sortAsc> {{__('Ascending')}} </a>
                  <a class="btn btn-default" href="javascript:void(0)" data-sortDesc> {{__('Descending')}} </a>
                </div>
              </div>
            </div>
            </div>
            <div class="filter-container p-0 row">
                @foreach($images as $image)
                <div class="filtr-item col-sm-2" data-category="{{$image->type}}" data-sort="{{$image->created_at}}">
                  <a href="{{ asset('/storage/images/img/'.$image->path) }}" data-toggle="lightbox" data-title="{{$image->description}}">
                    <img src="{{ asset('/storage/images/img/'.$image->path) }}" class="img-fluid mb-2" alt="{{$image->description}}"/>
                  </a>
                </div>
              @endforeach
            </div>
          </div>
        </div>
      </div>
    </div>
  </div><!-- /.container-fluid -->
@endsection